com.ibm.openpages.api.workflow.actions.util

## Class WFActionUtil

- java.lang.Object
- - com.ibm.openpages.api.workflow.actions.util.WFActionUtil

-     public class WFActionUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WFActionUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `replaceStringExpressions(IWFOperationContext context, java.lang.String value)` This method will replace any [$..$] expressions in the passed in String and return the result.
    `static void` | `setFieldValue(IWFOperationContext context, IGRCObject grcObject, IWFFieldSetter field)` This method will apply the IWFFieldSetter object to the IGRCObject.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WFActionUtil

          public WFActionUtil()

  - ### Method Detail

    - #### setFieldValue

          public static void setFieldValue(IWFOperationContext context,
                                           IGRCObject grcObject,
                                           IWFFieldSetter field)
                                    throws java.lang.Exception

      This method will apply the IWFFieldSetter object to the IGRCObject. It does not persist the change to the IGRCObject.
      Parameters:
        `context` -
        `grcObject` -
        `field` -
      Throws:
        `java.lang.Exception`

    - #### replaceStringExpressions

          public static java.lang.String replaceStringExpressions(IWFOperationContext context,
                                                                  java.lang.String value)

      This method will replace any [$..$] expressions in the passed in String and return the result.
      Parameters:
        `context` -
        `value` -
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.